curl --request GET \
--url 'https://api.atoa.me/api/customers?page=0&size=20' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.atoa.me/api/customers"
params = {"page": 0, "size": 20}
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, params=params, headers=headers)
print(response.json())
const response = await fetch(
"https://api.atoa.me/api/customers?page=0&size=20",
{
headers: { Authorization: "Bearer <token>" },
}
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.atoa.me/api/customers?page=0&size=20",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.atoa.me/api/customers?page=0&size=20"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://api.atoa.me/api/customers")
.header("Authorization", "Bearer <token>")
.queryString("page", 0)
.queryString("size", 20)
.asString();
{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"fullName": "John Doe",
"email": "[email protected]",
"type": "INDIVIDUAL",
"phoneCountryCode": "44",
"phoneNumber": "7911123456",
"address": "123 High Street",
"city": "London",
"postcode": "SW1A 1AA",
"createdAt": "2025-06-15T10:30:00.000Z"
}
],
"totalCount": 50,
"page": 0,
"size": 20
}
Customers
List Customers | Customers API
List customers via the Atoa Customers API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.
GET
/
api
/
customers
curl --request GET \
--url 'https://api.atoa.me/api/customers?page=0&size=20' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.atoa.me/api/customers"
params = {"page": 0, "size": 20}
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, params=params, headers=headers)
print(response.json())
const response = await fetch(
"https://api.atoa.me/api/customers?page=0&size=20",
{
headers: { Authorization: "Bearer <token>" },
}
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.atoa.me/api/customers?page=0&size=20",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.atoa.me/api/customers?page=0&size=20"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://api.atoa.me/api/customers")
.header("Authorization", "Bearer <token>")
.queryString("page", 0)
.queryString("size", 20)
.asString();
{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"fullName": "John Doe",
"email": "[email protected]",
"type": "INDIVIDUAL",
"phoneCountryCode": "44",
"phoneNumber": "7911123456",
"address": "123 High Street",
"city": "London",
"postcode": "SW1A 1AA",
"createdAt": "2025-06-15T10:30:00.000Z"
}
],
"totalCount": 50,
"page": 0,
"size": 20
}
Get all customers for the merchant with pagination.
Response
Authorization
Bearer<accessSecret>
Query Parameters
number
default:"0"
Page number (0-indexed).
number
default:"20"
Number of items per page.
string
Search by customer name, email, or phone number.
array
number
Total number of customers.
number
Current page number.
number
Items per page.
curl --request GET \
--url 'https://api.atoa.me/api/customers?page=0&size=20' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.atoa.me/api/customers"
params = {"page": 0, "size": 20}
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, params=params, headers=headers)
print(response.json())
const response = await fetch(
"https://api.atoa.me/api/customers?page=0&size=20",
{
headers: { Authorization: "Bearer <token>" },
}
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.atoa.me/api/customers?page=0&size=20",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.atoa.me/api/customers?page=0&size=20"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://api.atoa.me/api/customers")
.header("Authorization", "Bearer <token>")
.queryString("page", 0)
.queryString("size", 20)
.asString();
{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"fullName": "John Doe",
"email": "[email protected]",
"type": "INDIVIDUAL",
"phoneCountryCode": "44",
"phoneNumber": "7911123456",
"address": "123 High Street",
"city": "London",
"postcode": "SW1A 1AA",
"createdAt": "2025-06-15T10:30:00.000Z"
}
],
"totalCount": 50,
"page": 0,
"size": 20
}
⌘I